import { View } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import MyCard from "@/components/MyCard"
import withLayout from '@/layouts'
import { useEffect , useState } from "react"
import { getOrderDetail } from "@/services/order"


export default withLayout((props) => {
  const { router } = props
  let { id } = router.params
  const [value,setValue]=useState()
  useEffect(()=>{
    getOrderDetail(id).then((res)=>{
      setValue(res)
    })
  },[id])
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='更多' />
      </View>
      <View className='index-container'>
        <MyCard detail value={value} />
      </View>
    </View>
  )
})